## Zadanie

Napisać program, który dla danego pierścienia współczynników `R = ℤ/nℤ, n ∈ ℕ` oraz wielomianów `f,g ∈ R[x] ` zmiennej `x `  znajdzie:

1. iloczyn `f⋅g ∈ R[x]`
2. klasę reszty `f ∈ R[x]/(g)`
3. największy wspólny dzielnik `nwd(f,g)` korzystając z algorytmu Euklidesa.

**Uwaga**: wielomiany są podawane jako ciąg współczynników **od wyrazu wolnego, do współczynnika wiodącego**.

Termin: 07.06

### Przykłady:

> Input: `2, [1,1,1,0,1], [0,1,1]` (i.e. `f = 1 + x + x² + x⁴, g = x² + x`)  
> Output: `[[0,1,0,0,1,1,1], [1,1], [1,1]]`

> Input: `6, [2,1,0,2,1,3], [1,0,0,5]`  
> Output: `[[3,1,0,5,0,1,4,5,5], [5,2,1], DivisionError]`
